<?php

namespace Modules\Approval\Models\Traits;

use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Modules\Approval\Models\ApprovalRequest;

/**
 * @mixin \Illuminate\Database\Eloquent\Model
 */

trait HasApprovalRequest
{
    public function approvalRequest(): BelongsTo
    {
        return $this->belongsTo(ApprovalRequest::class, 'approval_request_id');
    }
}


